/* 3- Cree un programa que haga un archivo llamado NUMEROS.DAT cuyos elementos sean nmeros enteros. Luego, almacene el valor 250 en la posicin 10, muestre el contenido del archivo modificado y, por ltimo, cierre el archivo en cuestin. */
/* Solucin en lenguaje C */

#include <stdio.h>
#include <stdlib.h>

int main()
{
	FILE *fp;
	int num = 250;
	int i;

/* Abre el archivo para lectura/escritura en modo binario. */
if ((fp=fopen("numeros.dat","wb+")) == NULL)
{
	printf("No se puede abrir el archivo.\n");
	return 1;
}

/* Rellena el archivo con nmeros enteros. */
for (i=0; i<20; i++)
	fwrite(&i, sizeof(int), 1, fp);

/* Ubica el puntero a registro en la dcima posicin. */
fseek(fp, 9*sizeof(int), SEEK_SET);

/* Escribe 250 en la dcima posicin. */
fwrite(&num, sizeof(int), 1, fp);

/* Ubica el puntero a registro en la primera posicin. */
fseek(fp, 0, SEEK_SET);

/* Imprime de manera secuencial todo el archivo. */
while ( !feof(fp) )
{
	fread(&num, sizeof(int), 1, fp);
	printf("%d ", num);
	}

	printf("\n");

	/* Cierra el archivo. */
	fclose(fp);
	return 0;
}