/* 5- Tome un archivo de texto, haga que el programa lo encripte en otro archivo y grabe cada carcter como el cdigo ASCII que lo representa. Los nombres de los archivos de entrada y salida se deben recibir como primer y segundo argumento por lnea de comandos, respectivamente. */
/* Solucin en lenguaje C */

#include <stdio.h>

int main(int argc, char *argv[])
{
	FILE *in, *out;
	char car;

	if (argc != 3)
	{
		printf("Modo de uso: %s <arch entrada> <arch salida>\n", argv[0]);
		return 1;
	}

	if ((in=fopen(argv[1],"r")) == NULL)
	{
		printf("No se puede abrir el archivo de entrada.\n");
		return 1;
	}

	if ((out=fopen(argv[2],"w")) == NULL)
	{
		printf("No se puede crear el archivo de salida.\n");
		fclose(in);
		return 1;
	}

	rewind(in);

	while (!feof(in))
	{
		car = getc(in);
		fprintf(out, "%d", car);
	}

	fclose(in);
	fclose(out);
	return 0;
}