/* 1- Cree un archivo secuencial llamado ENTEROS.DAT cuyos elementos sean nmeros enteros. */
/*El programa debe: */
/*Abrir el archivo para lectura/escritura en modo binario.*/
/*Cargar datos en el archivo. */
/*Leer el primer registro.*/
/*Imprimir ese registro.*/
/*Cerrar el archivo.*/
/*Es preciso aclarar que, en este problema resuelto, utilizamos la palabra registro para referirnos a una variable atmica (ya que, en este caso, los elementos del archivo son nmeros enteros).*/
/*Solucin en lenguaje C*/

#include <stdio.h>
#include <stdlib.h>

#define EOFF -1

int main()
{
	FILE *fp;
	int numero, extraido, n;

	if ((fp=fopen("enteros.dat","wb+")) == NULL)
	{
		printf("No se puede abrir el archivo.\n");
		return 1;
	}
	do
	{
		printf("Ingrese un entero (%d para terminar): ", EOFF);
		scanf("%d", &numero);
		if (numero != EOFF)
		{
			n = fwrite(&numero, sizeof(numero), 1, fp);
			if (n != 1)
			{
				printf("Error escribiendo en el archivo.\n");
				fclose(fp);
				return 1;
			}
		}
	} while (numero != EOFF);

	rewind(fp);

	n = fread(&extraido, sizeof(extraido), 1, fp);
	if (n != 1)
	{
		printf("Error leyendo del archivo.\n");
		fclose(fp);
		return 1;
	}

	printf("%d ", extraido);
	fclose(fp);

	return 0;
}